%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         ghodss
%global repo            yaml
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          3bc1590d16074751993dd3b1a76e7a8d1a916a11
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.3.git%{shortcommit}%{?dist}
Summary:        A better way to marshal and unmarshal YAML in Golang
License:        MIT
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(gopkg.in/v2/yaml)
Requires:       golang >= 1.2.1-3
Requires:       golang(gopkg.in/v2/yaml)
Summary:        %{summary}
Provides:       golang(%{import_path}) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}

%files devel
%doc README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Fri Feb 06 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.git3bc1590
- Bump to upstream 3bc1590d16074751993dd3b1a76e7a8d1a916a11
  related: #1172603

* Wed Dec 24 2014 jchaloup <jchaloup@redhat.com> - 0-0.2.git92ff9d3
- Bump to 4fb5c728a37b361a1e971a3bb3d785fcc96b6ef5
  related: #1172603

* Tue Dec 09 2014 jchaloup <jchaloup@redhat.com> - 0-0.1.git92ff9d3
- First package for Fedora
  resolves: #1172603
